2018-12-19 00:24 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000004Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:29
ReporterQuix0r 
Assigned ToQuix0r 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000004: Alle Sprachkonstanten in Array-Elemente umschreiben
DescriptionDie Sprachelemente kommen derzeit aus sehr inperformanten Konstanten. Diese sollen nun komplett in ein Array umgeschrieben und dabei klein geschrieben werden.

Beispiel VORHER:
define('MY_LANGUAGE_ID', "Hier steht irgentein Text");

Beispiel NACHHER:
$GLOBALS['msg']['my_language_id'] = "Hier steht irgentein Text";

Damit die Übersicht behalten wird, welches Sprachelement noch fehlt, soll die Funktion getMessage() verwendet werden.

TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0000130closedQuix0r Funktion COMPILE_CODE() wird ab Revision 1185 restriktiver 
parent of 0000001assignedQuix0r Eure Ideen für das kommende 0.2.1-FINAL 
related to 0000068closedQuix0r Auslagerung (moeglichst) aller HTML-Codes in Templates 
related to 0000092assignedQuix0r Geteilte Sprachkonstanten sollen zusammengefuehrt werden 
Not all the children of this issue are yet resolved or closed.
+Relationships

-Notes

~0000131

Quix0r (administrator)

Das kann sehr komplex werden. Zudem sollte erstmal ein Fallback mit Logging eingebaut werden.

~0000384

Quix0r (administrator)

Mit der kommenden grossen Revision (fast alle Dateien, 95% aller Dateien mindestens geaendert!) wird dies dann zum groessten Teil geschehen sein.

~0000534

Quix0r (administrator)

Das sollte nun seit laengerem erledigt sein.

~0000812

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-19 14:30 Quix0r New Issue
2008-12-19 14:30 Quix0r Status new => assigned
2008-12-19 14:30 Quix0r Assigned To => Quix0r
2008-12-20 00:08 Quix0r Relationship added child of 0000001
2008-12-22 18:03 Quix0r Projection none => major rework
2008-12-22 18:03 Quix0r Fixed in Version => 0.2.1-FINAL
2008-12-22 20:08 Quix0r Priority normal => low
2009-02-06 02:08 Quix0r Note Added: 0000131
2009-02-06 02:08 Quix0r ETA none => > 1 month
2009-02-06 02:08 Quix0r Build => SVN-HEAD
2009-02-06 02:08 Quix0r Description Updated
2009-02-19 16:18 Quix0r Relationship added related to 0000068
2009-02-19 16:23 Quix0r Description Updated
2009-02-23 15:49 Quix0r Relationship added related to 0000092
2009-03-02 15:32 Quix0r Sticky Issue No => Yes
2009-08-06 14:03 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:03 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-10-11 02:32 Quix0r Relationship added parent of 0000130
2009-10-21 20:05 Quix0r Note Added: 0000384
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:53 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:45 Quix0r Fixed in Version 0.2.1-FINAL =>
2011-07-16 11:29 Quix0r Relationship deleted child of 0000001
2011-07-16 11:29 Quix0r Relationship added parent of 0000001
2011-07-16 11:30 Quix0r Note Added: 0000534
2011-07-16 11:30 Quix0r Status assigned => resolved
2011-07-16 11:30 Quix0r Fixed in Version => 0.2.1-FINAL
2011-07-16 11:30 Quix0r Resolution open => fixed
2016-11-23 10:29 Quix0r Note Added: 0000812
2016-11-23 10:29 Quix0r Status resolved => closed
+Issue History